#pragma once

#include "character/states/CharacterStateBase.h"

namespace frostbite2D {

class DeadState : public CharacterStateBase {
public:
  DeadState();

  void OnUpdate(CharacterStateMachine& machine,
                CharacterStateContext& context) override;
};

} // namespace frostbite2D
